org.eclnt.jsfserver.elements.componentnodes

## Class ACTIVEXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ACTIVEXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ACTIVEXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ACTIVEXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ACTIVEXNode` | `bindActionListener(IActionListenerDelegation value)`
    `ACTIVEXNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindColspan(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindCommand(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindCommandcallback(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindComment(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindHeight(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindInitcommand(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindMessageonerror(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindProgid(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindPropertyinterest(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindSendonchangeonly(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindStartdelay(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindStopdelay(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindX(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `bindY(IDynamicContentBindingObject value)`
    `ACTIVEXNode` | `setActionListener(java.lang.String value)`
    `ACTIVEXNode` | `setAdapterbinding(java.lang.String value)`
    `ACTIVEXNode` | `setAttributemacro(java.lang.String value)`
    `ACTIVEXNode` | `setColspan(int value)`
    `ACTIVEXNode` | `setColspan(java.lang.String value)`
    `ACTIVEXNode` | `setCommand(java.lang.String value)`
    `ACTIVEXNode` | `setCommandcallback(boolean value)`
    `ACTIVEXNode` | `setCommandcallback(java.lang.String value)`
    `ACTIVEXNode` | `setComment(java.lang.String value)`
    `ACTIVEXNode` | `setConfiginfo(java.lang.String value)`
    `ACTIVEXNode` | `setHeight(int value)`
    `ACTIVEXNode` | `setHeight(java.lang.String value)`
    `ACTIVEXNode` | `setId(java.lang.String value)`
    `ACTIVEXNode` | `setInitcommand(java.lang.String value)`
    `ACTIVEXNode` | `setMessageonerror(java.lang.String value)`
    `ACTIVEXNode` | `setProgid(java.lang.String value)`
    `ACTIVEXNode` | `setPropertyinterest(java.lang.String value)`
    `ACTIVEXNode` | `setReference(java.lang.String value)`
    `ACTIVEXNode` | `setRendered(boolean value)`
    `ACTIVEXNode` | `setRendered(java.lang.String value)`
    `ACTIVEXNode` | `setRowalignmenty(java.lang.String value)`
    `ACTIVEXNode` | `setSendonchangeonly(boolean value)`
    `ACTIVEXNode` | `setSendonchangeonly(java.lang.String value)`
    `ACTIVEXNode` | `setStartdelay(int value)`
    `ACTIVEXNode` | `setStartdelay(java.lang.String value)`
    `ACTIVEXNode` | `setStopdelay(int value)`
    `ACTIVEXNode` | `setStopdelay(java.lang.String value)`
    `ACTIVEXNode` | `setWidth(int value)`
    `ACTIVEXNode` | `setWidth(java.lang.String value)`
    `ACTIVEXNode` | `setX(int value)`
    `ACTIVEXNode` | `setX(java.lang.String value)`
    `ACTIVEXNode` | `setY(int value)`
    `ACTIVEXNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ACTIVEXNode

          public ACTIVEXNode()

  - ### Method Detail

    - #### setId

          public ACTIVEXNode setId(java.lang.String value)

    - #### setActionListener

          public ACTIVEXNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ACTIVEXNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ACTIVEXNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ACTIVEXNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ACTIVEXNode setAttributemacro(java.lang.String value)

    - #### setColspan

          public ACTIVEXNode setColspan(java.lang.String value)

    - #### bindColspan

          public ACTIVEXNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public ACTIVEXNode setColspan(int value)

    - #### setCommand

          public ACTIVEXNode setCommand(java.lang.String value)

    - #### bindCommand

          public ACTIVEXNode bindCommand(IDynamicContentBindingObject value)

    - #### setCommandcallback

          public ACTIVEXNode setCommandcallback(java.lang.String value)

    - #### bindCommandcallback

          public ACTIVEXNode bindCommandcallback(IDynamicContentBindingObject value)

    - #### setCommandcallback

          public ACTIVEXNode setCommandcallback(boolean value)

    - #### setComment

          public ACTIVEXNode setComment(java.lang.String value)

    - #### bindComment

          public ACTIVEXNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ACTIVEXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ACTIVEXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public ACTIVEXNode setHeight(java.lang.String value)

    - #### bindHeight

          public ACTIVEXNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ACTIVEXNode setHeight(int value)

    - #### setInitcommand

          public ACTIVEXNode setInitcommand(java.lang.String value)

    - #### bindInitcommand

          public ACTIVEXNode bindInitcommand(IDynamicContentBindingObject value)

    - #### setMessageonerror

          public ACTIVEXNode setMessageonerror(java.lang.String value)

    - #### bindMessageonerror

          public ACTIVEXNode bindMessageonerror(IDynamicContentBindingObject value)

    - #### setProgid

          public ACTIVEXNode setProgid(java.lang.String value)

    - #### bindProgid

          public ACTIVEXNode bindProgid(IDynamicContentBindingObject value)

    - #### setPropertyinterest

          public ACTIVEXNode setPropertyinterest(java.lang.String value)

    - #### bindPropertyinterest

          public ACTIVEXNode bindPropertyinterest(IDynamicContentBindingObject value)

    - #### setReference

          public ACTIVEXNode setReference(java.lang.String value)

    - #### setRendered

          public ACTIVEXNode setRendered(java.lang.String value)

    - #### bindRendered

          public ACTIVEXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ACTIVEXNode setRendered(boolean value)

    - #### setRowalignmenty

          public ACTIVEXNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public ACTIVEXNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setSendonchangeonly

          public ACTIVEXNode setSendonchangeonly(java.lang.String value)

    - #### bindSendonchangeonly

          public ACTIVEXNode bindSendonchangeonly(IDynamicContentBindingObject value)

    - #### setSendonchangeonly

          public ACTIVEXNode setSendonchangeonly(boolean value)

    - #### setStartdelay

          public ACTIVEXNode setStartdelay(java.lang.String value)

    - #### bindStartdelay

          public ACTIVEXNode bindStartdelay(IDynamicContentBindingObject value)

    - #### setStartdelay

          public ACTIVEXNode setStartdelay(int value)

    - #### setStopdelay

          public ACTIVEXNode setStopdelay(java.lang.String value)

    - #### bindStopdelay

          public ACTIVEXNode bindStopdelay(IDynamicContentBindingObject value)

    - #### setStopdelay

          public ACTIVEXNode setStopdelay(int value)

    - #### setWidth

          public ACTIVEXNode setWidth(java.lang.String value)

    - #### bindWidth

          public ACTIVEXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public ACTIVEXNode setWidth(int value)

    - #### setX

          public ACTIVEXNode setX(java.lang.String value)

    - #### bindX

          public ACTIVEXNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public ACTIVEXNode setX(int value)

    - #### setY

          public ACTIVEXNode setY(java.lang.String value)

    - #### bindY

          public ACTIVEXNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public ACTIVEXNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.